| Home | Libraries | People | FAQ | More

##### params_encoded_view::buffer

(Inherited from `params_encoded_base`)

Return the query corresponding to these params.

###### Synopsis

    pct_string_view
    buffer() const;

###### Description

This function returns the query string referenced by the container. The returned string may contain percent escapes.

###### Example

    assert( url_view( "?first=John&last=Doe" ).encoded_params().buffer() == "first=John&last=Doe" );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    query-params    = query-param *( "&" query-param )
    query-param     = key [ "=" value ]
    key             = *qpchar
    value           = *( qpchar / "=" )

###### Specification

- Query string (Wikipedia)